NFSDCLTRACK(8)

NOM
nfsdcltrack - Programme d'appel de suivi de clients NFS version 4

SYNOPSIS
nfsdcltrack [-d] [-f] [-s répertoire stockage stable] <commande> <arguments...>

DESCRIPTION
nfsdcltrack est le programme d'appel du suivi de clients NFS version 4. Il n'est pas nécessaire d'installer ce démon sur les machines qui ne sont pas des serveurs NFS version 4.

Lorsque une partition réseau est combinée avec un redémarrage du serveur, des conditions particulières peuvent induire une autorisation du rappel des verrous par le serveur lorsqu'entre temps les autres clients ont commencé à utiliser des verrous qui entrent en conflit. Une explication détaillée de ce problème est donnée dans la section 8.6.3 du RFC 3530.

Afin d'empêcher ces problèmes, le serveur doit garder la trace d'un minimum d'informations pour chaque client dans un lieu de stockage stable. Ce programme fournit la partie espace utilisateur de cette fonctionnalité. Lorsque le noyau doit manipuler la base de données qui stocke cette information, il exécute ce programme.

OPTIONS

-d, --debug
    Activer la journalisation de débogage.

-f, --foreground
    Écrire les messages de journalisation sur la sortie d'erreur au lieu du journal système.

-s rép_stockage, --storagedir=rép_stockage
    Le répertoire où l'information stable de stockage doit être conservée. La valeur par défaut est /var/lib/nfs/nfsdcltrack.

COMMANDES
nfsdcltrack nécessite une commande pour tout appel. Les commandes disponibles sont :

init
    Initialiser la base de données. Cette commande ne prend pas d'arguments.

create
    Créer un nouvel enregistrement de client (ou mettre à jour l'estampille temporelle sur un enregistrement existant). Cette commande prend en argument un identifiant client NFS nfs_client_id4 codé en hexadécimal.

remove
    Supprimer un enregistrement client de la base de données. Cette commande prend en argument un identifiant client NFS nfs_client_id4 codé en hexadécimal.

check
    Vérifier si un client donné est autorisé à rappeler. Cette commande prend en argument un identifiant client NFS nfs_client_id4 codé en hexadécimal.

gracedone
    Retirer les enregistrements de clients dans la base de données qui n'ont pas été rappelés. Cette commande prend en argument un temps de démarrage en secondes depuis l'époque Unix.

MÉCANISME DE TRANSITION
Le serveur NFS version 4 du noyau Linux suit ces informations sur le stockage stable en manipulant des données sur le système de fichiers directement, dans le répertoire pointé par /proc/fs/nfsd/nfsv4recoverydir. Si le noyau passe une information correcte, alors nfsdcltrack peut l'utiliser pour permettre une transition en douceur de l'ancien schéma de suivi vers le nouveau.

Lors de l'opération check, s'il n'y a pas d'enregistrement du client dans la base de données, nfsdcltrack vérifiera si la variable d'environnement NFSDCLTRACK_LEGACY_RECDIR est initialisée. Si c'est le cas, il récupérera sa valeur et déterminera si un répertoire avec ce nom existe. Si oui, l'opération de vérification terminera sans erreur et le répertoire sera supprimé.

Lors d'une opération gracedone, nfsdcltrack vérifiera si la variable d'environnement NFSDCLTRACK_LEGACY_TOPDIR est initialisée. Si c'est le cas, il essaiera de nettoyer ce répertoire avant de terminer.

Notez que cette transition ne se fait que dans une seule direction. Si une machine redémarre sur un ancien noyau qui ne prend pas en charge l'appel vers nfsdcltrack, alors les clients ne pourront pas retrouver leur état.

NOTES
Ce programme nécessite un noyau qui prend en charge l'appel de l'assistant en mode utilisateur nfsdcltrack. Cette prise en charge a été ajoutée aux noyaux 3.8.

AUTEURS
nfsdcltrack a été développé par Jeff Layton <jlayton@redhat.com>.